> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/region-object.md).

# Region Object

## Description

The `Region` object represents an Amazon Web Services region.

## Properties

### availabilityZones

List of availability zones in the region. This will only be populated when requested.

Type: array of `string`

### cloudProviderSubTypeId

Cloud-provider sub-type for the region.

Type: `string`

Valid Values:

* `amazon-standard`
* `amazon-govcloud-us`
* `amazon-china`

### displayName

Friendly name of the region.

Type: `string`

### regionName

System name of the region.

Type: `string`

## Sample JSON

```javascript
{
    "availabilityZones": [
        "us-east-1a",
        "us-east-1b"
    ],
    "cloudProviderSubTypeId": "amazon-standard",
    "displayName": "N. Virginia",
    "regionName": "us-east-1"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/region-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
